RegistryConfiguration.Impl (BioJava-1.5-beta API)
Keywords: org.biojava.directory.RegistryConfiguration.Impl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Class RegistryConfiguration.Impl

    java.lang.Object
      org.biojava.directory.RegistryConfiguration.Impl

All Implemented Interfaces:
  RegistryConfiguration

Enclosing interface:
  RegistryConfiguration

    public static class RegistryConfiguration.Impl

extends Object
implements RegistryConfiguration

A simple implementation of RegistryConfiguration backed by a Map.

Author:
  Brian Gilman, Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.directory.RegistryConfiguration
`RegistryConfiguration.Composite, RegistryConfiguration.Impl`

Constructor Summary
`RegistryConfiguration.Impl(String configFileLocation, Map config)`

Method Summary
`String` | `getConfigLocator()` `getConfigLocator` returns a locator for the configuration.
`Map` | `getConfiguration()` `getConfiguration` returns a mapping of registry database names to collections of tag-value pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryConfiguration.Impl

    public RegistryConfiguration.Impl(String configFileLocation,
                                      Map config)

Method Detail

### getConfiguration

    public Map getConfiguration()

  Description copied from interface: `RegistryConfiguration`
  `getConfiguration` returns a mapping of registry database names to collections of tag-value pairs.

  Specified by:
    `getConfiguration` in interface `RegistryConfiguration`
  Returns:
    a `Map`.

### getConfigLocator

    public String getConfigLocator()

  Description copied from interface: `RegistryConfiguration`
  `getConfigLocator` returns a locator for the configuration.

  Specified by:
    `getConfigLocator` in interface `RegistryConfiguration`
  Returns:
    a `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD